# Uses of Interface
com.sun.source.tree.Scope

Packages that use Scope
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of Scope in com.sun.source.tree

Methods in com.sun.source.tree that return Scope
Modifier and Type
Method
Description
`Scope`
Scope.`getEnclosingScope()`
Returns the enclosing scope.

## Uses of Scope in com.sun.source.util

Methods in com.sun.source.util that return Scope
Modifier and Type
Method
Description
`abstract Scope`
Trees.`getScope​(TreePath path)`
Returns the Scope for the Tree node identified by a given TreePath.
Methods in com.sun.source.util with parameters of type Scope
Modifier and Type
Method
Description
`abstract boolean`
Trees.`isAccessible​(Scope scope, Element member, DeclaredType type)`
Checks whether the given element is accessible as a member of the given type in a given scope.
`abstract boolean`
Trees.`isAccessible​(Scope scope, TypeElement type)`
Checks whether a given type is accessible in a given scope.